<template>
  <AppFlexCenterLayout class="p-24">
    <div
      style="border-top-color:transparent"
      class="w-8 h-8 border-2 border-primary border-solid rounded-full animate-spin"
    />
    <h2 class="text-2xl">
      <slot name="loading-text" />
    </h2>
  </AppFlexCenterLayout>
</template>
